# nextcloud-telegram-notify

This is going to become a collection of scripts, which will eventually become one script to rule them all.

Get notified when stuff happens on your Nextcloud Install.

If you don't know how to set up a Telegram bot and channel then google it.

## checknewusers.sh

![screenshot](images/checknewusers.png)

Run this as a cronjob. It will send you a Telegram whenever a new user registers or a new user is added.

Example crontab entry to check for new users every 15 minutes:
````
*/15 *  * * *   root    bash /root/scripts/nextcloud-telegram-notify/checknewusers.sh
````

## checkupdates.sh

![screenshot](images/checkupdates.png)

Run this as a cronjob. It will send you no more than one Telegram per day if there are updates available.

Example crontab entry to check for updates every 4 hours:
````
00 */4  * * *   root    bash /root/scripts/nextcloud-telegram-notify/checkupdates.sh
````

## failedlogins.sh

![screenshot](images/failedlogins.png)

Run this as a cronjob. It will send you a Telegram whenever a failed login occurs.

Example crontab entry to check for new failed logins every 5 minutes:
````
*/5 *  * * *   root    bash /root/scripts/nextcloud-telegram-notify/checknewusers.sh
````

## logwatch.sh

![screenshot](images/logwatch.png)

Run this as a cronjob. It will send you a Telegram every time the log file receives an update, but only at the log level you preselect.

Example crontab entry to check for updates every 15 minutes:
````
*/15 *  * * *   root    bash /root/scripts/nextcloud-telegram-notify/logwatch.sh
````

# Donations

Please consider making me small donation. Even though my scripts are open source and free to use, I still need to eat. And the occasional bottle of wine also goes down well.

- $5 buys me a cup of coffee
- $10 buys me a nice burger
- $20 buys me a bottle of wine
- Anything above that will be awesome as well.

You can send me a donation via Paypal https://www.paypal.com/paypalme/thisiszeev

Drop me a message on Reddit if you do make a donation. u/thisiszeev

Support is only offered freely to those who donate $20 or more.

Your donation contributes to further development.

If you need a custom script, contact me on Reddit for pricing.